<%@include file="include/header.jsp"%>
<%
//-----------------------------------------------
// Set permission for this page.
permission.addAdmin();

//Check permission.
if(!checkPermission()){
	return;
}

// Create data access object.
PolicyNxProxyDao dao = new PolicyNxProxyDao(paramInt("opId"));

// Global.
PolicyNxProxyData data = dao.selectOne();
%>
<%@include file="include/action_info.jsp"%>

<!-- view -->
<fieldset>
<legend>NXPROXY - <%= paramString("opName")%></legend>
<table class="view">

	<tr>
		<td width="200">Enable Filter</td>
		<td>
		<input type="checkbox" class="no-border" name="enableFilter"
			<%if(data.enableFilter){out.print("checked");}%>> NxProxy is a DNS (DoH) level remote filtering agent.
			</td>
	</tr>

	<tr>
		<td>
			Local Domain
		</td>
		<td>
			<textarea name="localDomain" cols="80" rows="8"><%= data.localDomain%></textarea>
		</td>
	</tr>

	<tr>
		<td>
			Local DNS Server
		</td>
		<td>
		<input type="text" name="localDns" value="<%= data.localDns%>" size="50"
			class="east" title="Multiple IP addresses should be separated by commas.">
		</td>
	</tr>

	<tr>
		<td>
			Auto-switch Domain
		</td>
		<td>
			<input type="text" name="autoSwitchDomain"\ value="<%= data.autoSwitchDomain%>" size="50">
		</td>
	</tr>

	<tr>
		<td>
			Use Auto-switching
		</td>
		<td><input type="checkbox" class="no-border"
			name="useAutoSwitch" <%if(data.useAutoSwitch){out.print("checked");}%>></td>
	</tr>

</table>
</fieldset>
<!-- /view -->

<%@include file="include/zop,footer.jsp"%>
